﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ych_sdk.Sample
{
    class TestExpressQuery : BaseTest
    {
        public override void exec()
        {
            String url = apiHost + "ecoLog";
            SortedDictionary<String, String> param = constructParam();
            YchClient sdk = new YchClient(appkey, secret);
            String rsp = sdk.send(url, param);
            parseResult(rsp);
        }

        private SortedDictionary<String, String> constructParam()
        {
            SortedDictionary<String, String> paramMap = new SortedDictionary<String, String>();

            paramMap.Add("appId", appkey);
            paramMap.Add("method", "express_query");
            paramMap.Add("time", defaultParam["time"]);
            paramMap.Add("operation_time", defaultParam["time"]);
            paramMap.Add("company", "xxx物流有限公司");
            paramMap.Add("station_id", "1234");
            paramMap.Add("station", "xxx中心");
            paramMap.Add("province", "浙江");
            paramMap.Add("city", "杭州");
            paramMap.Add("user_id", "10001");
            paramMap.Add("user", "administrator");
            paramMap.Add("source_type", "pc");
            paramMap.Add("source_application", defaultParam["appName"]);
            paramMap.Add("source_public_ip", "42.120.74.90");
            paramMap.Add("source_private_ip", "10.1.2.3");
            paramMap.Add("source_vpn_ip", "10.2.3.4");
            paramMap.Add("source_mac", "00-50-56-C0-00-08");
            paramMap.Add("target_application", defaultParam["appName"]);
            paramMap.Add("target_public_ip", "140.205.32.56");
            paramMap.Add("target_private_ip", "10.99.1.2");
            paramMap.Add("operation_type", "查询");
            paramMap.Add("result", "success");
            paramMap.Add("reason", "mail_no not found.");
            paramMap.Add("content", "receiver_phone;receiver_name;");
            paramMap.Add("mail_no", "211403581124;211403581125");
            paramMap.Add("order_id", "");
            paramMap.Add("wms_id", "");
            paramMap.Add("association_number", "2");
            paramMap.Add("email", "");
            paramMap.Add("feature", "");

            return paramMap;
        }
    }
}
