﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace ych_sdk.Sample
{
    class TestOrder : BaseTest
    {
        [DataContract]
        private class OrderData
        {
            private string m_time;

            private string m_ati;

            private string m_userId;

            private string m_userIp;

            private string m_tid;

            private string m_appName;

            private string m_url;

            private string m_tradeIds;

            private string m_operation;

            [DataMember]
            public string time
            {
                get { return m_time; }
                set { m_time = value; }
            }

            [DataMember]
            public string ati
            {
                get { return m_ati; }
                set { m_ati = value; }
            }

            [DataMember]
            public string userId
            {
                get { return m_userId; }
                set { m_userId = value; }
            }

            [DataMember]
            public string userIp
            {
                get { return m_userIp; }
                set { m_userIp = value; }
            }

            [DataMember]
            public string tid
            {
                get { return m_tid; }
                set { m_tid = value; }
            }

            [DataMember]
            public string appName
            {
                get { return m_appName; }
                set { m_appName = value; }
            }

            [DataMember]
            public string url
            {
                get { return m_url; }
                set { m_url = value; }
            }

            [DataMember]
            public string tradeIds
            {
                get { return m_tradeIds; }
                set { m_tradeIds = value; }
            }

            [DataMember]
            public string operation
            {
                get { return m_operation; }
                set { m_operation = value; }
            }
        }

        public override void exec()
        {
            String url = apiHost + "batchLog";
            List<OrderData> paramList = new List<OrderData>();

            for (int i = 0; i < 5; i++)
            {
                OrderData item = constructOrderParam();
                paramList.Add(item);
            }

            SortedDictionary<String, String> paramNew = new SortedDictionary<String, String>();

            string jsonData = ObjectToJson(paramList);
            paramNew.Add("topAppkey", topAppkey);
            paramNew.Add("data", jsonData);
            paramNew.Add("method", "order");
            paramNew.Add("format", "json");
            paramNew.Add("time", defaultParam["ntime"]);

            YchClient sdk = new YchClient(appkey, secret);
            string rsp = sdk.send(url, paramNew);
            parseResult(rsp);
        }

        private OrderData constructOrderParam()
        {
            OrderData data = new OrderData();

            data.time = defaultParam["ntime"];
            data.ati = defaultParam["ati"];
            data.userId = defaultParam["userId"];
            data.tid = defaultParam["userId"];
            data.userIp = defaultParam["userIp"];
            data.appName = defaultParam["appName"];
            data.url = "https://www.taobao.com";
            data.tradeIds = "123456789012345;123456789012346;12345678901234";
            data.operation = "query";

            return data;
        }
    }
}
